.row.cmp-hoverblocks
  .col-md-6
    - if defined? current_page.data.hover_block_title
      .row.mobile-text-center
        .col-md-12
          %h2.u-margin-bottom-xs #{current_page.data.hover_block_title}
          - if defined? current_page.data.hover_block_subtitle
            %h4 #{current_page.data.hover_block_subtitle}
            %img{src:"/images/enterprise/small-business-code.jpg", class: "hide-on-desktop-only m-auto", alt: "Image: Gitlab Features", loading: "lazy"}
    .row
      .col-md-10.hoverblock-origin
        - data.components.hover_blocks.each do |hover_block|
          - if hover_block.identifier.include?("#{current_page.data.data_identifier}") 
            - if hover_block.position.include?("zero")
              - extra_classes = "initial"
            - else
              - extra_classes = ""
            - titleCodeSafe = hover_block.title.parameterize
            %div{"class": "hoverblock #{extra_classes}", "data-hoverblock": "#{titleCodeSafe}"}
              %p.u-margin-bottom-0
                %img.hoverblock-icon{src:"#{hover_block.icon_url}"}
                %strong.hoverblock-title #{hover_block.title}
              %p.hoverblock-body-text #{hover_block.description}
            %div.mobile-adaptive-show-under-lg.hide-on-mobile
              %img{src:"#{hover_block.image_url}", alt: "Image: #{hover_block.title}", loading: "lazy"}
  .col-md-6.hoverblock-destination.mobile-adaptive-hide-under-lg
    - data.components.hover_blocks.each do |hover_block|
      - if hover_block.identifier.include?("#{current_page.data.data_identifier}")
        - if hover_block.position.include?("zero")
          - extra_classes = "initial"
        - else
          - extra_classes = ""
        - titleCodeSafe = hover_block.title.parameterize
        %div{"class": "hoverblock #{extra_classes}", "data-hoverblock": "#{titleCodeSafe}"}
          %img{src:"#{hover_block.image_url}", alt: "Image: #{hover_block.title}", loading: "lazy"}

-# :javascript
-#   var hoverblockOrigins = document.querySelectorAll('.hoverblock-origin .hoverblock');
-#   var hoverblockDestinations = document.querySelectorAll('.hoverblock-destination .hoverblock');

-#   for(loopcountOrigin=0;loopcountOrigin<hoverblockOrigins.length;loopcountOrigin++)
-#   {
-#     hoverblockOrigins[loopcountOrigin].addEventListener("mouseenter", function(event)
-#     {
-#       event.target.classList.add('active');
-#       var hoverblockDataName = event.target.dataset['hoverblock'];
-#       var hoverblockTargetSelector = '.hoverblock-destination .hoverblock[data-hoverblock="' + hoverblockDataName + '"]';
-#       var targetHoverblock = document.querySelector(hoverblockTargetSelector);
-#       //
-#       for(loopcountDestination=0;loopcountDestination<hoverblockDestinations.length;loopcountDestination++)
-#       {
-#         hoverblockDestinations[loopcountDestination].classList.remove('active');
-#         hoverblockDestinations[loopcountDestination].classList.remove('initial');
-#       };
-#       //
-#       for(loopcountOrigins=0;loopcountOrigins<hoverblockOrigins.length;loopcountOrigins++)
-#       {
-#         hoverblockOrigins[loopcountOrigins].classList.remove('active');
-#         hoverblockOrigins[loopcountOrigins].classList.remove('initial');
-#       };
-#       event.target.classList.add('active');
-#       targetHoverblock.classList.add('active');
-#     });
-#     hoverblockOrigins[loopcountOrigin].addEventListener("mouseleave", function(event)
-#     {
-#       event.target.classList.remove('initial');
-#     });
-#   };
